clearing one's watchlist
Closed, ResolvedPublic

Description

Author: charlottethewebb

Description:
If I remember correctly, there used to be a [[Special:Watchlist/clear]] button that would clear one's watchlist without actually presenting the complete list.

Apparently this has been superceded by [[Special:Watchlist/raw]] which allows the user to clear the watchlist by submitting a null string in the text box. In fact /clear now functions as a redirect to /raw.

I think it would be desirable to keep the "clear it in one click" option available:

  1. To maintain backward compatibility for bot programs which maintain a watchlist and may desire to clear it at any given time using the old method
  2. To allow users (human or machine) to clear an excessively long watchlist even when loading the actual list would take too long and/or cause the web browser to crash.

By the way, one user claims to have been able to circumvent this by accessing the [[Special:Watchlist/raw]] form using a dummy account with a blank watchlist, then switching back to the main account and sending the form. However, shouldn't this have been prevented due to an invalid edit-token in the form... or is this actually ignored? Might want to double-check.

See http://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#Empty_Watchlist.3F


Version: 1.13.x
Severity: enhancement

bzimport added a project: MediaWiki-Watchlist.Via ConduitNov 21 2014, 10:08 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz13250.
bzimport created this task.Via LegacyMar 4 2008, 8:29 PM
bzimport added a comment.Via ConduitMar 4 2008, 10:59 PM

oysterguitarist wrote:

If we revert 26980 it will go back to the way it was. Brion said that people were afraid to click it, and that existing clear links will fall back on the raw editor, but it seems that this is creating a problem.

brion added a comment.Via ConduitMar 5 2008, 1:02 AM

The reason the 'log in as another user' trick works is that the edit token is tied to the *session*, and doesn't actually get cleared when you log out and log in.

It would likely be a better practice to clear everything else in the session at logout, but that's a separate issue.

bzimport added a comment.Via ConduitMar 5 2008, 10:12 PM

ian.cabell wrote:

I tried the "log in as another user", and it does help in one respect - loading the Special:Watchlist/raw page takes no time. However, once I log out (in another window) and log back in as the "offending" user, I click "submit" on the form, and the actual call to the database to clear the watchlist times out on the browser, or rather on the server since I do get the Wikimedia error page.

--SatyrTN

bzimport added a comment.Via ConduitJan 24 2009, 6:35 PM

pixelface.bug wrote:

My watchlist has over 65,000 pages on it and deleting them all via Special:Watchlist/raw results in a server timeout. I asked about my watchlist here: [[Wikipedia:Help_desk#Watchlist_too_big]]

I want to clear my watchlist and I tried the 'log in as another user' trick as described by Alex Smotrov at [[Wikipedia:Village_pump_(technical)/Archive_24#Empty_Watchlist.3F]], but I got a server timeout. What are the steps again?

I think Mikkalai was worried about the "Clear watchlist" function because that user didn't know if they would be asked to confirm the action:
http://meta.wikimedia.org/wiki/Help_talk:Watching_pages#Confirmation_asked_before_clearing_watchlist

Could r26980 be undone so Special:Watchlist&action=clear works (for those rare occasions when a watchlist grows too large), yet make the option to clear the watchlist not visible in the user interface if it worries people?

bzimport added a comment.Via ConduitJan 25 2009, 7:14 PM

charlottethewebb wrote:

Could r26980 be undone so Special:Watchlist&action=clear works (for those rare
occasions when a watchlist grows too large), yet make the option to clear the
watchlist not visible in the user interface if it worries people?

That might be a reasonable compromise. Or we could have the link to [[Special:Watchlist/clear]] only visible on the [[Special:Watchlist/raw]] page, not the main watchlist view.

siebrand added a comment.Via ConduitFeb 2 2009, 11:47 AM

Changed component to "Watchlist"

bzimport added a comment.Via ConduitFeb 14 2009, 10:03 AM

charlottethewebb wrote:

One user claims to have watchlist items which are unremovable, possibly due to having the wrong value for wl_namespace???

http://en.wikipedia.org/wiki/Wikipedia:Village_pump_(technical)#Broken_watchlist

bzimport added a comment.Via ConduitMay 9 2014, 2:16 PM

basil wrote:

Maybe this would help:
https://bugzilla.wikimedia.org/show_bug.cgi?id=65058

It allows mass-clearing of a watchlist, which seems like
what you want.

Aklapper added a comment.Via ConduitMay 9 2014, 4:12 PM

(In reply to Ocean behind ears from comment #8)

Maybe this would help:
https://bugzilla.wikimedia.org/show_bug.cgi?id=65058

It allows mass-clearing of a watchlist, which seems like what you want.

Good catch! I'll add a "This ticket depends on bug 65058" here.

gerritbot added a comment.Via ConduitMay 10 2014, 11:40 AM

Change 132500 had a related patch set uploaded by Ocean behind ears:
Restored method for clearing a watchlist in web UI, and rebuilt code.

https://gerrit.wikimedia.org/r/132500

MarkAHershberger added a comment.Via ConduitMay 10 2014, 12:45 PM

Adding Brion to this bug since he has been helping me review it and also because I don't want to +2 this since it would be too much like +2ing myself.

gerritbot added a comment.Via ConduitMay 10 2014, 1:40 PM

Change 132500 merged by jenkins-bot:
Restored method for clearing a watchlist in web UI, and rebuilt code.

https://gerrit.wikimedia.org/r/132500

brion added a comment.Via ConduitMay 10 2014, 2:30 PM

Merged! This should appear in 1.24 and the next wmf branch (I'm not sure offhand what the tracking number is) in a couple weeks.

At some point I'd love to see a major redesign of the watchlist editing interfaces which handles huge lists better, but until then this'll be a great help for some folks where the raw edit doesn't work!

gerritbot added a comment.Via ConduitMay 10 2014, 7:17 PM

Change 132733 had a related patch set uploaded by MarkAHershberger:
Restored method for clearing a watchlist in web UI, and rebuilt code.

https://gerrit.wikimedia.org/r/132733

gerritbot added a comment.Via ConduitMay 10 2014, 7:21 PM

Change 132733 merged by jenkins-bot:
Restored method for clearing a watchlist in web UI, and rebuilt code.

https://gerrit.wikimedia.org/r/132733

gerritbot added a comment.Via ConduitMay 21 2014, 3:31 PM

Change 134619 had a related patch set uploaded by Krinkle:
Sync 1.23 release notes for bug 13250 from REL1_23

https://gerrit.wikimedia.org/r/134619

gerritbot added a comment.Via ConduitMay 21 2014, 3:58 PM

Change 134619 merged by jenkins-bot:
Sync 1.23 release notes for bug 13250 from REL1_23

https://gerrit.wikimedia.org/r/134619

Add Comment